Page MenuHomePhabricator

[Epic] ORES refactor: Scoring structure
Closed, ResolvedPublic

Description

Current structure

  • score_processor(context_map, score_cache, metrics_collect) (/scores/enwiki/reverted/23456789)
  • scoring_context (== wiki)
  • scorer_model (revscoring)
  • score_caches
  • metrics_collectors
  • wsgi -- (Flask framework)
  • utilities -- (CLI utilities)

Problems:

Proposed structure
Philosophy: Make "scoring system" look like ORES API -- wsgi (web nodes) just be a thin wrapper

  • scoring_systems(context_map, score_cache, metrics_collector)
    • Methods:
      • score(context, model_names, rev_ids) -- "/score/context?model=<model_names>&revids=<rev_ids>" || "/score/context/<model_name>/?revids=<rev_ids>"
      • model_info(context, model_names) -- "/scores/context?model_info&models=<model_names>" || "/scores/context/<model_name>/?model_info"
    • Notes:
      • variants (simple, multiprocessing_pool, celery_queue, etc.)
  • scoring_context

Event Timeline

Halfak created this task.Jul 5 2016, 6:52 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 5 2016, 6:52 PM
Halfak renamed this task from [Epic] ORES 1.0 to [Epic] ORES refactor: Scoring structure.Jul 5 2016, 6:52 PM
Halfak updated the task description. (Show Details)Jul 5 2016, 7:05 PM
Danny_B renamed this task from [Epic] ORES refactor: Scoring structure to ORES refactor: Scoring structure.Jul 6 2016, 10:49 PM
Danny_B added a project: Epic.
Halfak renamed this task from ORES refactor: Scoring structure to [Epic] ORES refactor: Scoring structure.Jul 11 2016, 7:38 PM
Halfak closed this task as Resolved.Oct 13 2016, 4:21 PM
Halfak moved this task from Epic to Done on the Scoring-platform-team (Current) board.